Get fees
curl --request GET \
--url https://api.smokeball.com/matters/{matterId}/fees \
--header 'Authorization: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.smokeball.com/matters/{matterId}/fees"
headers = {
"x-api-key": "<api-key>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>', Authorization: '<api-key>'}};
fetch('https://api.smokeball.com/matters/{matterId}/fees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"value": [
{
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"id": "b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2",
"versionId": "750eb5c5-ac0b-7d11-4997-e0ce9d8896c8",
"matter": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"staff": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"matterId": "<string>",
"staffId": "<string>",
"createdByUserId": "750eb5c5-ac0b-7d11-4997-e0ce9d8896c8",
"createdDate": "2026-04-13T11:00:00Z",
"lastUpdatedByUserId": "750eb5c5-ac0b-7d11-4997-e0ce9d8896c8",
"invoiceId": "750eb5c5-ac0b-7d11-4997-e0ce9d8896c8",
"activityCode": "PRT",
"utbmsTaskCode": "L110",
"subject": "Review contract",
"description": "Print documents",
"feeDate": "2022-07-01",
"feeType": 0,
"finalized": false,
"isInvoicedExternally": false,
"isWrittenOff": false,
"isBillable": false,
"tax": 35,
"taxInclusive": false,
"taxExempt": false,
"taxOutOfScope": false,
"duration": 60,
"durationWorked": 50,
"rate": 350,
"amount": 350,
"amountExcTax": 315,
"amountIncTax": 350,
"billableAmountExcTax": 315,
"billableTax": 35,
"isDeleted": false,
"sourceItems": [
{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"description": "<string>",
"duration": 123,
"isBillable": true
}
],
"createdFromActivityId": "504b9f77-20c7-4dee-8227-d3007c8f6cea"
}
],
"offset": 123,
"limit": 123,
"size": 123,
"first": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"previous": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"next": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"last": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Fees
Get fees
Returns a list of fees for the specified matter.
GET
/
matters
/
{matterId}
/
fees
Get fees
Path Parameters
Query Parameters
Required range:
0 <= x <= 2147483647Required range:
1 <= x <= 500Returns fees updated since a specified time (.net ticks representation of the UTC datetime).
Response
When request is successful. Returns a paged collection of 'Fee' objects.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
āI